Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath.locpath
Class PredPos

    java.lang.Object
      org.basex.query.xpath.locpath.Pred
          org.basex.query.xpath.locpath.PredPos

    public final class PredPos

extends Pred

Position predicate.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Method Summary
`Expr` | `indexEquivalent(XPContext ctx, Step step)` For predicate optimization.
`int` | `indexSizes(XPContext r, Step c, int m)` For predicate optimization.
`boolean` | `sameAs(Pred pred)` Compares the predicate for equality.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### indexEquivalent

    public Expr indexEquivalent(XPContext ctx,
                                Step step)

  Description copied from class: `Pred`
  For predicate optimization.

  Parameters:
    `ctx` - root
    `step` - location step
  Returns:
    Equivalent index-expression or null

### indexSizes

    public int indexSizes(XPContext r,
                          Step c,
                          int m)

  Description copied from class: `Pred`
  For predicate optimization.

  Parameters:
    `r` - root
    `c` - the location step
    `m` - current minimum size
  Returns:
    Equivalent index-expression or null

### sameAs

    public boolean sameAs(Pred pred)

  Description copied from class: `Pred`
  Compares the predicate for equality.

  Parameters:
    `pred` - predicate to be compared
  Returns:
    result of check

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD